/****************************************************************************
 * A x e l
 *****************************************************************************
 * QImplicitCurve.cpp
 * 2007-05-22
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# include <QAxel/QImplicitCurve.h>

namespace QAxel {

/*****************************************************************************
* QImplicitCurve
*****************************************************************************/

QImplicitCurve::QImplicitCurve(QBoundingBox * boundingbox) : QCurve(boundingbox) {}

QImplicitCurve::QImplicitCurve(double xmin, double xmax, 
			       double ymin, double ymax, 
			       double zmin, double zmax)    : QCurve(xmin, xmax, 
								     ymin, ymax, 
								     zmin, zmax) {}
    
} ; // namespace QAxel
