/*****************************************************************************
 * Axel
 *****************************************************************************
 * NurbsSurface.h
 * 2007-05-22
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QNURBSSURFACE_H
# define QNURBSSURFACE_H

# include <QAxel/QParametricSurface.h>

namespace QAxel {

class QPoint3f ;
class QMesh ;
class QBoundingBox ;

/****************************************************************************/
/*!
  \class QNurbsSurface QSurface.h
  \brief The class QNurbsSurface provides ...

  More ...
*/
/****************************************************************************/
class QNurbsSurface : public QParametricSurface
{
	Q_OBJECT

public :
	QNurbsSurface(QBoundingBox * boundingbox) { Q_UNUSED(boundingbox) } ;
} ;

class QSingularity ;

} ;

# endif
