/****************************************************************************
 * A x e l
 *****************************************************************************
 * QSingularity
 * 2006-03-31
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QSINGULARITY_H
# define QSINGULARITY_H

# include <QAxel/QAxelObject.h>

namespace QAxel {

class QImplicitSurface ;

/****************************************************************************/
/*!
  \class QSingularity QSingularity.h
  \brief The class QSingularity provides ...

  More ...
*/
/****************************************************************************/
class QSingularity : public QAxelObject 
{
    Q_OBJECT
			
public :
    QSingularity(float x, float y, float z, float radius, QImplicitSurface * is) ;
    void draw(void) ;
    void drawWithNames(void) ;
    
private :
    float x, y, z ;
    float radius ;
    QImplicitSurface * surface ;
} ;

}

# endif
