/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QAugmentedInfluenceGraph
 * 2006-09-06
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef QAUGMENTEDINFLUENCEGRAPH_H
# define QAUGMENTEDINFLUENCEGRAPH_H

# include <QData/QRegion3f.h>
# include <QData/QGraph.h>
# include <QData/QGraphNode.h>
# include <QData/QGraphEdge.h>

namespace QData {

/****************************************************************************/
/*!
  \class QAugmentedInfluenceGraph QAugmentedInfluenceGraph.h
  \brief The class QAugmentedInfluenceGraph provides ...

  More ...
*/
/****************************************************************************/
class QAugmentedInfluenceGraph : public QGraph
{
    Q_OBJECT
	
public:
    QAugmentedInfluenceGraph(void) ;

public slots:
    QGraphNode * insert(QRegion3f * region, QGraphNode * parent) ;
    QGraphNode * insert(QRegion3f * region, QGraphNode * parent1, QGraphNode * parent2) ;
} ;

} ; // namespace QData

# endif
