/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QDxfInterface
 * 2006-11-06
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006-2007 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :         
 ****************************************************************************/

# ifndef QDXFINTERFACE_H
# define QDXFINTERFACE_H

# include <QObject>
# include <QStringList>

# include <QAxel/QPiecewiseLinearCurve.h>
# include <QAxel/QPiecewiseLinearSurface.h>
# include <QAxel/QInitializablePluginInterface.h>

using namespace QAxel ;

class QMainWindow ;

/****************************************************************************/
/*!
  \class QDxfInterface QDxfInterface.h
  \brief The class QDxfInterface provides ...

  More ...
*/
/****************************************************************************/
class QDxfInterface
{
public :
    virtual ~QDxfInterface(void) {}

    virtual void  init(MainWindow * window) = 0 ;
    virtual void  read(void) = 0 ;
    virtual void write(void) = 0 ;
} ;

Q_DECLARE_INTERFACE(QDxfInterface, "Axel::Interfaces::Dxf/0.1")

# endif
