/*****************************************************************************
 * A x e l
 *****************************************************************************
 * 0StreamGcml
 * 2006-07-04
 * Arnaud Fabre
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *               Copyright (C) 2006 LSIIT - UMR CNRS-ULP - Strasbourg
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef OSTREAMGCML_H
# define OSTREAMGCML_H

class Viewer;
class QDomDocument;
class QProgressDialog;

namespace QStream {

class OStreamGcml
{
public :
	OStreamGcml(QString s, Viewer * v) ;
	void run(void) ;
	
private :
	void buildDomTree(void);
	void save(void);
	
private :
	Viewer * viewer;
	QString filename;
	QDomDocument * domdocument;
	QProgressDialog * progress;
	
	QString _unknowns;
	QString _parameters;
	QString _constraints;
	QString _sketch;
	QString _valuation;
} ;

} ;

# endif
