/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QPiecewiseLinearCurvesArrangement
 * 2007-01-12
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * 
 *****************************************************************************/

# include <QData/QCell.h>

# include <QGui/color.h>

# include <QAxel/PluginManager.h>

# include <QCore/QCoreInterface.h>

# include <QArrangement/Curves/QPiecewiseLinearCurvesArrangement.h>

using namespace std ;
using namespace QAxel ;
using namespace QData ;

namespace QArrangement {

QPiecewiseLinearCurvesArrangement::QPiecewiseLinearCurvesArrangement(MainWindow * mainwindow) : QArrangement(QString("BSplineCurve"))
{
    this->mainwindow = mainwindow ;
}

bool QPiecewiseLinearCurvesArrangement::regular(Object_t * o, Node_t * n)
{
    Q_UNUSED(o) ;
    Q_UNUSED(n) ;
    return false ;
}

QList<Cell_t *> QPiecewiseLinearCurvesArrangement::subdivide(Object_t * o, Node_t * n)
{
    Q_UNUSED(o) ;
    Q_UNUSED(n) ;
    QList<Cell_t *> l ;
    return l ;
}

QList<Region_t *> QPiecewiseLinearCurvesArrangement::topology(Object_t * o, Node_t * n)
{
    Q_UNUSED(o) ;
    Q_UNUSED(n) ;
    QList<Region_t *> l ;
    return l ;
}

} ; // namespace QArrangement ;
