########################################################
# QP5Glove Project File
# Julien Wintz
# Inria Sophia-Antipolis
########################################################

TEMPLATE = lib
CONFIG  += plugin release
VERSION	 = 0.1
TARGET   = QP5Glove
QT 	+= xml opengl

DESTDIR      = ../../plugins
UI_DIR       = .ui
MOC_DIR      = .moc
OBJECTS_DIR  = .obj

mac {
QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.3
QMAKE_LFLAGS += -undefined dynamic_lookup
}

INCLUDEPATH  += .. .

mac:HEADERS = p5glove.h usb_hid.h p5sdk.h estimator.h QP5GlovePlugin.h
mac:SOURCES = p5glove.c usb_hid_macosx.c estimator.cpp QP5GlovePlugin.cpp 

x11:HEADERS  = QP5GlovePlugin.h p5sdk.h p5client.h estimator.h
x11:SOURCES  = QP5GlovePlugin.cpp p5client.cpp estimator.cpp