/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QBSplineCurveSelfIntersection
 * 2007-06-21
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************/

# ifndef QBSPLINECURVESELFINTERSECTION_H
# define QBSPLINECURVESELFINTERSECTION_H

# include <QAxel/QPoint3f.h>
# include <QAxel/QBSplineQCurve.h>

using namespace QAxel ;

namespace QSelfIntersection {

class QBSplineCurveSelfIntersection
{

public:
     QBSplineCurveSelfIntersection(QBSplineCurve * curve) ;
    ~QBSplineCurveSelfIntersection(void) {}

    void run(void) ;
    

private:
    QList<QPoint3f *> si_points ;
    Q
} ;

} ; // namespace QSelfIntersection

# endif // QBSPLINECURVESELFINTERSECTION_H
